Public Class Form2

    Private Sub WebBrowser1_DocumentCompleted(sender As System.Object, e As System.Windows.Forms.WebBrowserDocumentCompletedEventArgs) Handles WebBrowser1.DocumentCompleted

    End Sub
    Private voteUrl1 As String = "http://topofgames.com/index.php?do=votes&id=69616"

    Private Sub Form1_Load(sender As System.Object, e As System.EventArgs) Handles MyBase.Load
        WebBrowser1.Navigate(voteUrl1)
        AddHandler WebBrowser1.Navigated, AddressOf WebBrowser1_Navigated
    End Sub

    Private Sub WebBrowser1_Navigated(sender As System.Object, e As System.Windows.Forms.WebBrowserNavigatedEventArgs)
        If e.Url.Host <> WebBrowser1.Url.Host Then Return
        Select Case e.Url.ToString
            Case voteUrl1
                Exit Select
            Case "http://topofgames.com/index.php"
                MessageBox.Show("JETZT BROWSER SCHLIESSEN UND PATCHER ANZEIGEN")
                Exit Select
            Case Else
                Me.Close()
                Form1.Show()

                Exit Select
        End Select
    End Sub
End Class